# booksonic-air

![Version: 4.2.0](https://img.shields.io/badge/Version-4.2.0-informational?style=flat-square) ![AppVersion: v2009.1.0](https://img.shields.io/badge/AppVersion-v2009.1.0-informational?style=flat-square)

Booksonic is a platform for accessing the audibooks you own wherever you are

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/popeen/Booksonic-Air>
* <https://hub.docker.com/r/linuxserver/booksonic-air>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 2.2.0 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install booksonic-air k8s-at-home/booksonic-air
```

## Installing the Chart

To install the chart with the release name `booksonic-air`

```console
helm install booksonic-air k8s-at-home/booksonic-air
```

## Uninstalling the Chart

To uninstall the `booksonic-air` deployment

```console
helm uninstall booksonic-air
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install booksonic-air \
  --set env.TZ="America/New York" \
    k8s-at-home/booksonic-air
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install booksonic-air k8s-at-home/booksonic-air -f values.yaml
```

## Custom configuration

If you plan to use networked storage to store your media or config for Booksonic, (NFS, etc.) please take a look at the
Fast Access option in the Booksonic settings. This will help improve the performance of the application
by not constantly monitoring media folders.

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | `{}` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"linuxserver/booksonic-air"` |  |
| image.tag | string | `"v2009.1.0-ls2"` |  |
| ingress.enabled | bool | `false` |  |
| persistence.audiobooks.emptyDir.enabled | bool | `false` |  |
| persistence.audiobooks.enabled | bool | `false` |  |
| persistence.audiobooks.mountPath | string | `"/audiobooks"` |  |
| persistence.config.emptyDir.enabled | bool | `false` |  |
| persistence.config.enabled | bool | `false` |  |
| persistence.othermedia.emptyDir.enabled | bool | `false` |  |
| persistence.othermedia.enabled | bool | `false` |  |
| persistence.othermedia.mountPath | string | `"/othermedia"` |  |
| persistence.podcasts.emptyDir.enabled | bool | `false` |  |
| persistence.podcasts.enabled | bool | `false` |  |
| persistence.podcasts.mountPath | string | `"/podcasts"` |  |
| service.port.port | int | `4040` |  |
| strategy.type | string | `"Recreate"` |  |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [1.0.0]

#### Added

- N/A

#### Changed

- N/A

#### Removed

- N/A

[1.0.0]: #1.0.0

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)