# joplin-server

![Version: 2.2.0](https://img.shields.io/badge/Version-2.2.0-informational?style=flat-square) ![AppVersion: 1.7.2](https://img.shields.io/badge/AppVersion-1.7.2-informational?style=flat-square)

This server allows you to sync any Joplin client

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/laurent22/joplin/tree/dev/packages/server>
* <https://github.com/laurent22/joplin>
* <https://hub.docker.com/r/joplin/server>

## Requirements

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 2.2.0 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install joplin-server k8s-at-home/joplin-server
```

## Installing the Chart

To install the chart with the release name `joplin-server`

```console
helm install joplin-server k8s-at-home/joplin-server
```

## Uninstalling the Chart

To uninstall the `joplin-server` deployment

```console
helm uninstall joplin-server
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install joplin-server \
  --set env.TZ="America/New York" \
    k8s-at-home/joplin-server
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install joplin-server k8s-at-home/joplin-server -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` | Affinity settings for pod assignment of the GUI |
| env.APP_BASE_URL | string | `"https://joplin.domain"` | joplin-server base URL |
| env.APP_PORT | int | `22300` | joplin-server listening port (same as Service port) |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"joplin/server"` | joplin-server image |
| image.tag | string | `"1.7.2"` | joplin-server image tag |
| nodeSelector | object | `{}` | Node labels for pod assignment of the GUI |
| podAnnotations | object | `{}` | Pod annotations |
| resources | object | `{}` |  |
| service.port.port | int | `22300` | Kubernetes port where the GUI is exposed |
| tolerations | list | `[]` | Toleration labels for pod assignment of the GUI |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)