# mosquitto

![Version: 2.3.2](https://img.shields.io/badge/Version-2.3.2-informational?style=flat-square) ![AppVersion: 2.0.7](https://img.shields.io/badge/AppVersion-2.0.7-informational?style=flat-square)

Eclipse Mosquitto - An open source MQTT broker

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/eclipse/mosquitto>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 2.3.1 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install mosquitto k8s-at-home/mosquitto
```

## Installing the Chart

To install the chart with the release name `mosquitto`

```console
helm install mosquitto k8s-at-home/mosquitto
```

## Uninstalling the Chart

To uninstall the `mosquitto` deployment

```console
helm uninstall mosquitto
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install mosquitto \
  --set env.TZ="America/New York" \
    k8s-at-home/mosquitto
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install mosquitto k8s-at-home/mosquitto -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| auth.enabled | bool | `false` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"eclipse-mosquitto"` |  |
| image.tag | string | `"2.0.7"` |  |
| persistence.configinc.accessMode | string | `"ReadWriteOnce"` |  |
| persistence.configinc.emptyDir.enabled | bool | `false` |  |
| persistence.configinc.enabled | bool | `false` |  |
| persistence.configinc.mountPath | string | `"/mosquitto/configinc"` |  |
| persistence.configinc.size | string | `"100Mi"` |  |
| persistence.data.accessMode | string | `"ReadWriteOnce"` |  |
| persistence.data.emptyDir.enabled | bool | `false` |  |
| persistence.data.enabled | bool | `false` |  |
| persistence.data.mountPath | string | `"/mosquitto/data"` |  |
| persistence.data.size | string | `"100Mi"` |  |
| service.annotations | object | `{}` |  |
| service.port.name | string | `"mqtt"` |  |
| service.port.port | int | `1883` |  |
| service.type | string | `"ClusterIP"` |  |
| strategy.type | string | `"Recreate"` |  |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [2.3.2]

#### Added

- N/A

#### Changed

- Updated icon url.

#### Removed

- N/A

### [1.1.1]

#### Added

- N/A

#### Changed

- Migrated the chart to the [k8s-at-home common library chart](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

#### Removed

- N/A

[2.3.2]: #2.3.2
[1.1.1]: #1.1.1

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
