# paperless

![Version: 5.3.2](https://img.shields.io/badge/Version-5.3.2-informational?style=flat-square) ![AppVersion: 1.0.0](https://img.shields.io/badge/AppVersion-1.0.0-informational?style=flat-square)

Paperless - Index and archive all of your scanned paper documents

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/jonaswinkler/paperless-ng>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 2.3.1 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install paperless k8s-at-home/paperless
```

## Installing the Chart

To install the chart with the release name `paperless`

```console
helm install paperless k8s-at-home/paperless
```

## Uninstalling the Chart

To uninstall the `paperless` deployment

```console
helm uninstall paperless
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install paperless \
  --set env.TZ="America/New York" \
    k8s-at-home/paperless
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install paperless k8s-at-home/paperless -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| additionalContainers[0].image | string | `"redis:6.0"` |  |
| additionalContainers[0].imagePullPolicy | string | `"IfNotPresent"` |  |
| additionalContainers[0].name | string | `"broker"` |  |
| env.COMPOSE_PROJECT_NAME | string | `"paperless"` |  |
| env.PAPERLESS_OCR_LANGUAGE | string | `"eng"` |  |
| env.PAPERLESS_REDIS | string | `"redis://localhost:6379"` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"jonaswinkler/paperless-ng"` |  |
| image.tag | string | `"latest"` |  |
| ingress.enabled | bool | `false` |  |
| persistence.consume.emptyDir.enabled | bool | `false` |  |
| persistence.consume.enabled | bool | `false` |  |
| persistence.consume.mountPath | string | `"/usr/src/paperless/consume"` |  |
| persistence.data.emptyDir.enabled | bool | `false` |  |
| persistence.data.enabled | bool | `false` |  |
| persistence.data.mountPath | string | `"/usr/src/paperless/data"` |  |
| persistence.export.emptyDir.enabled | bool | `false` |  |
| persistence.export.enabled | bool | `false` |  |
| persistence.export.mountPath | string | `"/usr/src/paperless/export"` |  |
| persistence.media.emptyDir.enabled | bool | `false` |  |
| persistence.media.enabled | bool | `false` |  |
| persistence.media.mountPath | string | `"/usr/src/paperless/media"` |  |
| service.port.port | int | `8000` |  |
| strategy.type | string | `"Recreate"` |  |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [5.3.2]

#### Added

- N/A

#### Changed

- Updated icon url.

#### Removed

- N/A

### [1.0.0]

#### Added

- N/A

#### Changed

- N/A

#### Removed

- N/A

[5.3.2]: #5.3.2
[1.0.0]: #1.0.0

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
