# protonmail-bridge

![Version: 3.3.2](https://img.shields.io/badge/Version-3.3.2-informational?style=flat-square) ![AppVersion: 1.5.7-1](https://img.shields.io/badge/AppVersion-1.5.7--1-informational?style=flat-square)

Container for protonmail bridge to work on the network.

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/shenxn/protonmail-bridge-docker>
* <https://hub.docker.com/r/shenxn/protonmail-bridge>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 2.3.1 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install protonmail-bridge k8s-at-home/protonmail-bridge
```

## Installing the Chart

To install the chart with the release name `protonmail-bridge`

```console
helm install protonmail-bridge k8s-at-home/protonmail-bridge
```

## Uninstalling the Chart

To uninstall the `protonmail-bridge` deployment

```console
helm uninstall protonmail-bridge
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install protonmail-bridge \
  --set env.TZ="America/New York" \
    k8s-at-home/protonmail-bridge
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install protonmail-bridge k8s-at-home/protonmail-bridge -f values.yaml
```

## Custom configuration

Once installed do the following to configure the application within the pod:

1. Get the name of your deployed pod `kubectl get pods`
2. Run interactively on the pod (setup only) `kubectl exec --stdin --tty protonmail-bridge-deployment-6c79fd7f84-ftwcw -- /bin/bash`
3. Once logged in, execute the init command `bash /protonmail/entrypoint.sh init`
4. You should now see the CLI for protonmail-bridge, authenticate with login
5. (optional) If you use split address mode, change mode and info are good for printing the details.
6. Copy your SMTP server info (or IMAP, your choice)
7. Delete the active pod so a new one gets created (which will properly fire up with your persisted settings)

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | `{}` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"shenxn/protonmail-bridge"` |  |
| image.tag | string | `"1.5.7-1"` |  |
| ingress.enabled | bool | `false` |  |
| persistence.config.enabled | bool | `true` |  |
| persistence.config.mountPath | string | `"/root"` |  |
| service.port.name | string | `"smtp-service"` |  |
| service.port.port | int | `25` |  |
| strategy.type | string | `"Recreate"` |  |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [3.3.2]

#### Added

- Added icon url.

#### Changed

- N/A

#### Removed

- N/A

### [1.0.0]

#### Added

- N/A

#### Changed

- N/A

#### Removed

- N/A

[3.3.2]: #3.3.2
[1.0.0]: #1.0.0

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
