# uptimerobot

![Version: 3.0.4](https://img.shields.io/badge/Version-3.0.4-informational?style=flat-square) ![AppVersion: 1.1.0](https://img.shields.io/badge/AppVersion-1.1.0-informational?style=flat-square)

A tool to get statistics from Uptime Robot and log it into InfluxDB

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/trojanc/node-influx-uptimerobot>
* <https://github.com/k8s-at-home/charts>

## Requirements

## Dependencies

| Repository | Name | Version |
|------------|------|---------|

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install uptimerobot k8s-at-home/uptimerobot
```

## Installing the Chart

To install the chart with the release name `uptimerobot`

```console
helm install uptimerobot k8s-at-home/uptimerobot
```

## Uninstalling the Chart

To uninstall the `uptimerobot` deployment

```console
helm uninstall uptimerobot
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install uptimerobot \
  --set env.TZ="America/New York" \
    k8s-at-home/uptimerobot
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install uptimerobot k8s-at-home/uptimerobot -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| config.influxdb.database | string | `"uptimerobot"` |  |
| config.influxdb.host | string | `"influxdb-influxdb"` | host/port/database are mandatory - change as needed |
| config.influxdb.port | int | `8086` |  |
| config.influxdb.protocol | string | `"http"` |  |
| config.uptimerobot.apikey | string | `"someapikey"` | uptimerobot API key (REQUIRED) |
| delay | int | `300` | number of seconds to wait between collections |
| image.pullPolicy | string | `"Always"` | uptimerobot image pull policy |
| image.repository | string | `"billimek/node-influx-uptimerobot"` | uptimerobot image |
| image.tag | string | `"latest"` | uptimerobot image tag |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` | Key-value pairs to add as pod annotations |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [3.0.2]

#### Added

- N/A

#### Changed

- Use helm-docs

#### Removed

- N/A

[3.0.2]: #3.0.2

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
