# vikunja

![Version: 2.2.0](https://img.shields.io/badge/Version-2.2.0-informational?style=flat-square) ![AppVersion: 0.16.0](https://img.shields.io/badge/AppVersion-0.16.0-informational?style=flat-square)

The to-do app to organize your life

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://kolaente.dev/vikunja/api>
* <https://kolaente.dev/vikunja/frontend>
* <https://hub.docker.com/r/vikunja/api>
* <https://hub.docker.com/r/vikunja/frontend>
* <https://vikunja.io/docs/>

## Requirements

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 2.2.0 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install vikunja k8s-at-home/vikunja
```

## Installing the Chart

To install the chart with the release name `vikunja`

```console
helm install vikunja k8s-at-home/vikunja
```

## Uninstalling the Chart

To uninstall the `vikunja` deployment

```console
helm uninstall vikunja
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install vikunja \
  --set env.TZ="America/New York" \
    k8s-at-home/vikunja
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install vikunja k8s-at-home/vikunja -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| additionalContainers[0].env[0] | object | `{"name":"VIKUNJA_SERVICE_JWTSECRET","value":"myVeryComplexJWTSecret"}` | Vikunja unique secret |
| additionalContainers[0].image | string | `"vikunja/api:0.16.0"` | Vikunja api image and tag |
| additionalContainers[0].imagePullPolicy | string | `"IfNotPresent"` |  |
| additionalContainers[0].name | string | `"api"` |  |
| additionalContainers[1].image | string | `"vikunja/frontend:0.16.0"` | Vikunja frontend image and tag |
| additionalContainers[1].imagePullPolicy | string | `"IfNotPresent"` |  |
| additionalContainers[1].name | string | `"frontend"` |  |
| additionalVolumeMounts[0].mountPath | string | `"/etc/caddy/Caddyfile"` |  |
| additionalVolumeMounts[0].name | string | `"vikunja-config"` |  |
| additionalVolumeMounts[0].subPath | string | `"Caddyfile"` |  |
| additionalVolumes[0].configMap.name | string | `"vikunja-config"` |  |
| additionalVolumes[0].name | string | `"vikunja-config"` |  |
| affinity | object | `{}` | Affinity settings for pod assignment of the GUI |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"caddy"` | Caddy reverse proxy image and tag |
| image.tag | string | `"2.3.0-alpine"` | vikunja api image tag |
| nodeSelector | object | `{}` | Node labels for pod assignment of the GUI |
| persistence.files | object | `{"emptyDir":{"enabled":false},"enabled":false,"mountpath":"/app/vikunja/files"}` | Volume used for static files |
| podAnnotations | object | `{}` | Pod annotations |
| resources | object | `{}` |  |
| service.port.port | int | `8080` | Kubernetes port where used by Caddy reverse proxy |
| tolerations | list | `[]` | Toleration labels for pod assignment of the GUI |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [1.0.0]

#### Added

- N/A

#### Changed

- N/A

#### Removed

- N/A

[1.0.0]: #1.0.0

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)