# wallabag

![Version: 2.4.1](https://img.shields.io/badge/Version-2.4.1-informational?style=flat-square) ![AppVersion: 2.4.1](https://img.shields.io/badge/AppVersion-2.4.1-informational?style=flat-square)

A self hostable application for saving web pages, freely.

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/wallabag/docker>
* <https://hub.docker.com/wallabag/wallabag>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://charts.bitnami.com/bitnami | mariadb | 9.3.6 |
| https://charts.bitnami.com/bitnami | postgresql | 10.3.15 |
| https://charts.bitnami.com/bitnami | redis | 14.1.0 |
| https://library-charts.k8s-at-home.com | common | 2.3.1 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install wallabag k8s-at-home/wallabag
```

## Installing the Chart

To install the chart with the release name `wallabag`

```console
helm install wallabag k8s-at-home/wallabag
```

## Uninstalling the Chart

To uninstall the `wallabag` deployment

```console
helm uninstall wallabag
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install wallabag \
  --set env.TZ="America/New York" \
    k8s-at-home/wallabag
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install wallabag k8s-at-home/wallabag -f values.yaml
```

## Custom configuration

Default login is `wallabag:wallabag`.

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| controllerType | string | `"statefulset"` |  |
| env | object | `{}` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"wallabag/wallabag"` |  |
| image.tag | string | `"2.4.1"` |  |
| ingress.enabled | bool | `false` |  |
| mariadb.architecture | string | `"standalone"` |  |
| mariadb.auth.database | string | `"wallabag"` |  |
| mariadb.auth.password | string | `"wallabag-pass"` |  |
| mariadb.auth.rootPassword | string | `"wallabag-rootpass"` |  |
| mariadb.auth.username | string | `"wallabag"` |  |
| mariadb.enabled | bool | `false` |  |
| mariadb.primary.persistence.enabled | bool | `false` |  |
| persistence.cache.emptyDir.enabled | bool | `false` |  |
| persistence.cache.enabled | bool | `false` |  |
| persistence.cache.mountPath | string | `"/var/www/wallabag/var/cache"` |  |
| persistence.images.emptyDir.enabled | bool | `false` |  |
| persistence.images.enabled | bool | `false` |  |
| persistence.images.mountPath | string | `"/var/www/wallabag/web/assets/images"` |  |
| postgresql.enabled | bool | `false` |  |
| postgresql.persistence.enabled | bool | `false` |  |
| postgresql.postgresqlDatabase | string | `"wallabag"` |  |
| postgresql.postgresqlPassword | string | `"wallabag-pass"` |  |
| postgresql.postgresqlUsername | string | `"wallabag"` |  |
| redis.auth.enabled | bool | `false` |  |
| redis.enabled | bool | `false` |  |
| service.port.port | int | `80` |  |
| strategy.type | string | `"RollingUpdate"` |  |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [2.4.1]

#### Added

- Icon url

#### Changed

- N/A

#### Removed

- N/A

### [1.0.0]

#### Added

- Initial version of the chart

#### Changed

- N/A

#### Removed

- N/A

[2.4.1]: #[2.4.1]
[1.0.0]: #1.0.0

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
