# youtubedl-material

![Version: 2.3.2](https://img.shields.io/badge/Version-2.3.2-informational?style=flat-square) ![AppVersion: 4.2](https://img.shields.io/badge/AppVersion-4.2-informational?style=flat-square)

Self-hosted YouTube downloader built on Material Design

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/Tzahi12345/YoutubeDL-Material>
* <https://github.com/k8s-at-home/charts/tree/master/charts/youtubedl-material>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 2.3.1 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install youtubedl-material k8s-at-home/youtubedl-material
```

## Installing the Chart

To install the chart with the release name `youtubedl-material`

```console
helm install youtubedl-material k8s-at-home/youtubedl-material
```

## Uninstalling the Chart

To uninstall the `youtubedl-material` deployment

```console
helm uninstall youtubedl-material
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install youtubedl-material \
  --set env.TZ="America/New York" \
    k8s-at-home/youtubedl-material
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install youtubedl-material k8s-at-home/youtubedl-material -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | `{}` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"tzahi12345/youtubedl-material"` |  |
| image.tag | float | `4.2` |  |
| ingress.enabled | bool | `false` |  |
| persistence.audio.emptyDir.enabled | bool | `false` |  |
| persistence.audio.enabled | bool | `false` |  |
| persistence.audio.mountPath | string | `"/app/audio"` |  |
| persistence.config.emptyDir.enabled | bool | `false` |  |
| persistence.config.enabled | bool | `false` |  |
| persistence.config.mountPath | string | `"/app/appdata"` |  |
| persistence.subscriptions.emptyDir.enabled | bool | `false` |  |
| persistence.subscriptions.enabled | bool | `false` |  |
| persistence.subscriptions.mountPath | string | `"/subscriptions"` |  |
| persistence.users.emptyDir.enabled | bool | `false` |  |
| persistence.users.enabled | bool | `false` |  |
| persistence.users.mountPath | string | `"/users"` |  |
| persistence.video.emptyDir.enabled | bool | `false` |  |
| persistence.video.enabled | bool | `false` |  |
| persistence.video.mountPath | string | `"/video"` |  |
| service.port.port | int | `17442` |  |
| strategy.type | string | `"Recreate"` |  |

## Changelog

All notable changes to this application Helm chart will be documented in this file but does not include changes from our common library. To read those click [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common#changelog).

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

### [2.3.2]

#### Added

- Added icon url.

#### Changed

- N/A

#### Removed

- N/A

### [1.0.0]

#### Added

- N/A

#### Changed

- N/A

#### Removed

- N/A

[2.3.2]: #2.3.2
[1.0.0]: #1.0.0

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
